Subject: bug#6014: closed (Re: bug#6014: processing of "'" inside Emacs octave-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Aug 2010 13:12:02 +0000

Your bug report

#6014: processing of "'" inside Emacs octave-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6014: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6014
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6014: processing of "'" inside Emacs octave-mode
From: Stefan Monnier <[email-masked]>
To: Pascal Dupuis <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Aug 2010 14:56:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I have to interchange programs with collegues working under
> MatLab. This implies that I have to use the single quote as string
> delimiter. I enclose a simple .m file where MatLab's editor smart
> indent feature works OK, but octave-mode chokes on the seventh
> line. It considers a brace is opened; this doesn't occur if I use a
> double quote instead. Would it be possible to have the single and
> double quote treated the same way ?

The latest code in Emacs's trunk (slated for Emacs-24) handles your
example correctly.  Please try it (it also includes a complete rewrite
of the indentation and navigation code).

        Stefan

Subject: processing of "'" inside Emacs octave-mode
From: Pascal Dupuis <[email-masked]>
To: Kurt Hornik <[email-masked]>, [email-masked]
Date: Fri, 23 Apr 2010 14:56:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs  : GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
  of 2010-03-26 on palmer, modified by Debian
Package: Emacs version 23.1.1

current state:
==============
(setq
  octave-auto-indent nil
  octave-auto-newline nil
  octave-blink-matching-block t
  octave-block-offset 2
  octave-comment-char 35
  octave-continuation-offset 4
  octave-continuation-string "\\"
  octave-send-echo-input t
  octave-send-line-auto-forward t
  octave-send-show-buffer t
  )

Hello,

I have to interchange programs with collegues working under
MatLab. This implies that I have to use the single quote as string
delimiter. I enclose a simple .m file where MatLab's editor smart
indent feature works OK, but octave-mode chokes on the seventh
line. It considers a brace is opened; this doesn't occur if I use a
double quote instead. Would it be possible to have the single and
double quote treated the same way ?

Regards

Pascal

-- 
Dr. ir. Pascal Dupuis, assistant de recherche / research assistant
U.C.Louvain EPL/ELEC/DICE :  http://www.dice.ucl.ac.be/
Batiment Maxwell; Place du Levant, 3; B-1348 Louvain-la-Neuve Belgium
Tel. +32-10-47 22 74; Fax +32-10-47 25 98